pushd $(dirname "$0")/.. # run from root dir

rm -rf ./coverage
mkdir ./coverage/

go build -cover -o target/pilgrim_coverage main.go

chmod 777 ./target/pilgrim_coverage
GOCOVERDIR=coverage ./target/pilgrim_coverage

go tool covdata percent -i=coverage

popd # switch back to dir we started from